Function
infix
Creates infix object.
infix(host, begin, end)
Include Headers
seqan/sequence.h
Parameters

host | The complete sequence. Types: char array, String, StringSet
begin | Position or iterator of the first element of the segment. Types: Iterator, Position
end | Position or iterator behind the last element of the segment. Remarks: end must have the same type as begin.

Remarks
Notational sugar.
Return Values
The infix of host between begin and end-1.
Remarks: The type of the infix is given by Infix.
Member of
char array, StringSet, String
See Also
prefix, InfixSegment, suffix
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58